package cn.com.victorysoft.business.technology.dao;

import cn.com.victorysoft.business.sys.param.UnitWellMonthPageParam;
import cn.com.victorysoft.business.sys.param.UnitWellPageParam;
import cn.com.victorysoft.business.technology.entity.WellTool;
import cn.com.victorysoft.business.technology.entity.WellTube;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface WellTubeDao {
    int deleteByPrimaryKey(WellTube record);

    int deleteByMonth(String month);

    int insert(WellTube record);

    int insertBatch(List<WellTube> record);

    WellTube selectByPrimaryKey(WellTube record);

    List<WellTube> selectList(UnitWellMonthPageParam param);

    int updateByPrimaryKeySelective(WellTube record);

    int updateByPrimaryKey(WellTube record);
}